<?php

$mask = array(
	      'table' => 'anbaugeraete',
	      'title' => 'Anbaugeräte',
	      'join' => array('geraetetypen ON anbaugeraete.geraetetyp = geraetetypen.id'),
	      'list' => array(
			      'id' => array(
					    'name' => 'ID',
					    'visible' => false,
					    'sql' => 'anbaugeraete.id',
					    ),
			      'anbaugeraet' => array(
					    'name' => 'Anbaugerät',
					    'width' => 150,
					    ),
			      'geraetetyp' => array(
					    'name' => 'Gerätetyp',
					    'width' => 70,
					    'sql' => 'geraetetypen.name',
					    'specs' => "ClassName: 'aligncenter'",
					    ),
			      'anbgerstdsatz' => array(
					    'name' => 'Stundensatz',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright', canSort: false",
					    'width' => 90,
					    ),
			      'anbkst_intern' => array(
					    'name' => 'interne Kosten',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright', canSort: false",
					    'width' => 100,
					    ),
			      'anbkst_extern' => array(
					    'name' => 'externe Kosten',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright', canSort: false",
					    'width' => 100,
					    ),
			      ),
	      'edit' => array(
			      'anbaugeraet' => array(
					    'name' => 'Anbaugerät',
					    'type' => 'text',
					    'size' => 24,
					    'required' => true,
					    ),
			      'geraetetyp' => array(
					    'name' => 'Gerätetyp',
					    'type' => 'select',
					    'options' => 'SELECT id,name AS text FROM geraetetypen ORDER BY name',
					    ),
			      'anbgerstdsatz' => array(
					    'name' => 'Stundensatz',
					    'type' => 'decimal',
					    'size' => 15,
					    'required' => true,
					    ),
			      'anbkst_intern' => array(
					    'name' => 'Kosten intern',
					    'type' => 'decimal',
					    'size' => 10,
					    'required' => true,
					    ),
			      'anbkst_extern' => array(
					    'name' => 'Kosten extern',
					    'type' => 'decimal',
					    'size' => 10,
					    'required' => true,
					    ),
			      ),
	      );

?>
